<ion-card>
  <ion-card-header>
    <ion-card-title>
      Create new entry
    </ion-card-title>
  </ion-card-header>
  <ion-item>
    <ion-label position="floating">
      Title
    </ion-label>
    <ion-input id="newEntryTitleInput" (change)="onTitleChange();" (input)="onTitleChange();">
    </ion-input>
  </ion-item>


  <ion-item>
    <ion-label position="floating">
      Amount
    </ion-label>
    <ion-input (input)="onInput();" inputmode="numeric" id="currencyInputInputField" [(ngModel)]="currencyDisplayValue">
    </ion-input>
  </ion-item>

  <!--

      <ion-row>
        <ion-button size="default" fill="outline" *ngFor="let value of ['+0,01€', '+0,05€', '+0,20€', '+0,50€', '+1,00€', '+5,00€']" (click)="addToValue(value);">{{value}}
        </ion-button>
        <ion-button size="default" color="danger" fill="outline" *ngFor="let value of ['-0,01€', '-0,05€', '-0,20€', '-0,50€', '-1,00€', '-5,00€']" (click)="addToValue(value);">{{value}}
        </ion-button>
      </ion-row>
    -->

  <ion-item>
    <ion-label>
      <ion-icon name="calendar" slot="start"></ion-icon> Date
    </ion-label>
    <ion-datetime value="1970-01-01" display-format="DD.MM.YYYY" id="newEntryDateInput"></ion-datetime>
  </ion-item>

  <ion-item lines=none>
    <ion-label>Category</ion-label>
  </ion-item>
  <ion-item>
    <app-category-selection #categoryInput></app-category-selection>
  </ion-item>

  <ion-item>
    <ion-label position="floating">
      Description
    </ion-label>
    <ion-textarea id="newEntryDescriptionInput">
    </ion-textarea>
  </ion-item>

  <ion-row>

    <ion-col>
      <ion-item lines=none>
        <ion-button disabled="false" #impotCsvButton size="default" slot="start" (click)="navigateCsvImport();"
          fill=outline>
          <ion-icon name="document" slot="start"></ion-icon> Import CSV
        </ion-button>
      </ion-item>
    </ion-col>
    <ion-col>
      <ion-item lines=none>
        <ion-button disabled="true" #newEntrySubmitButton size="default" slot="end" (click)="createEntry();">
          <ion-icon name="create" slot="start"></ion-icon> Create
        </ion-button>
        <ion-button size="default" slot="end" color="danger" fill="outline" (click)="clearEntry();">
          <ion-icon name="trash" slot="start"></ion-icon>Clear
        </ion-button>
      </ion-item>
    </ion-col>
  </ion-row>
</ion-card>
